The Production Plan Sales Order object
Attributes
Unique identifier for the object.
{
"id": "production-plan-sales-order_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"sales_order": "sales_order_example",
"sales_order_date": "2024-01-15",
"customer": "customer_example",
"grand_total": 0,
"status": "draft"
} /api/manufacturing/production-plan-sales-order?parent_id={id} List production plan sales orders by parent
Returns all production plan sales orders belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of production plan sales order objects belonging to the parent.
curl https://api.overplane.dev/api/manufacturing/production-plan-sales-order?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "production-plan-sales-order_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"sales_order": "sales_order_example",
"sales_order_date": "2024-01-15",
"customer": "customer_example",
"grand_total": 0,
"status": "draft"
}
],
"has_more": false,
"total": 1
} /api/manufacturing/production-plan-sales-order Create a production plan sales order
Creates a new production plan sales order object.
Body parameters
Returns
Returns the newly created production plan sales order object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/production-plan-sales-order \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_id":null,"parent_type":"parent_type_example","sales_order":"sales_order_example"}' {
"id": "production-plan-sales-order_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"sales_order": "sales_order_example",
"sales_order_date": "2024-01-15",
"customer": "customer_example",
"grand_total": 0,
"status": "draft"
} /api/manufacturing/production-plan-sales-order/{id} Update a production plan sales order
Updates the specified production plan sales order by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the production plan sales order to update.
Body parameters
Returns
Returns the updated production plan sales order object.
curl https://api.overplane.dev/api/manufacturing/production-plan-sales-order/production-plan-sales-order_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "production-plan-sales-order_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"sales_order": "sales_order_example",
"sales_order_date": "2024-01-15",
"customer": "customer_example",
"grand_total": 0,
"status": "draft"
} /api/manufacturing/production-plan-sales-order/{id} Delete a production plan sales order
Permanently deletes a production plan sales order. This cannot be undone.
Path parameters
The identifier of the production plan sales order to delete.
Returns
Returns a confirmation that the production plan sales order has been deleted.
curl https://api.overplane.dev/api/manufacturing/production-plan-sales-order/production-plan-sales-order_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "production-plan-sales-order_abc123",
"deleted": true
} /api/manufacturing/production-plan-sales-order/reorder Reorder production plan sales orders
Updates the sort order of production plan sales orders within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/manufacturing/production-plan-sales-order/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "production-plan-sales-order_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"sales_order": "sales_order_example",
"sales_order_date": "2024-01-15",
"customer": "customer_example",
"grand_total": 0,
"status": "draft"
}